package com.ruoyi.system.mapper_shate;

import com.ruoyi.system.domain_shate.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/8 11:24
 */
public interface SoilFactorMapper {

    List<SoilDesertification> sqlDesert(@Param("zone") String zone,
                                        @Param("year") String year);

    List<SoilDesertification> sqlYear();

    List<SoilMoisture>  sqlMoisture(@Param("zone") String zone,
                                    @Param("year") String year);

    List<SoilMoisture> sqlYear1();

    List<SoilSalinization>  sqlSalin(@Param("zone") String zone,
                                     @Param("year") String year);

    List<SoilSalinization> sqlYear2();

    Integer InsertSalin(SoilSalinization soil);

    Integer InsertDesert(SoilDesertification desertification);

    Integer InsertMoisture(SoilMoisture moisture);
}
